[**@rxap/data-source v19.0.2**](../README.md)

***

[@rxap/data-source](../globals.md) / RxapDataSourceError

# Class: RxapDataSourceError

Defined in: [packages/angular/data-source/src/lib/error.ts:3](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-source/src/lib/error.ts#L3)

## Extends

- `RxapError`

## Constructors

### new RxapDataSourceError()

> **new RxapDataSourceError**(`message`, `code`, `className`?): [`RxapDataSourceError`](RxapDataSourceError.md)

Defined in: [packages/angular/data-source/src/lib/error.ts:5](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-source/src/lib/error.ts#L5)

#### Parameters

##### message

`string`

##### code

`string`

##### className?

`string`

#### Returns

[`RxapDataSourceError`](RxapDataSourceError.md)

#### Overrides

`RxapError.constructor`

## Properties

### \_packageName

> `protected` **\_packageName**: `string`

Defined in: [packages/utilities/src/lib/error.ts:6](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/utilities/src/lib/error.ts#L6)

#### Inherited from

`RxapError._packageName`

***

### code?

> `readonly` `optional` **code**: `string`

Defined in: [packages/utilities/src/lib/error.ts:8](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/utilities/src/lib/error.ts#L8)

#### Inherited from

`RxapError.code`

***

### message

> **message**: `string`

Defined in: node\_modules/typescript/lib/lib.es5.d.ts:1077

#### Inherited from

`RxapError.message`

***

### name

> **name**: `string`

Defined in: node\_modules/typescript/lib/lib.es5.d.ts:1076

#### Inherited from

`RxapError.name`

***

### scope?

> `readonly` `optional` **scope**: `string`

Defined in: [packages/utilities/src/lib/error.ts:9](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/utilities/src/lib/error.ts#L9)

#### Inherited from

`RxapError.scope`

***

### stack?

> `readonly` `optional` **stack**: `string`

Defined in: [packages/utilities/src/lib/error.ts:10](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/utilities/src/lib/error.ts#L10)

#### Inherited from

`RxapError.stack`

## Accessors

### className

#### Get Signature

> **get** **className**(): `undefined` \| `string`

Defined in: [packages/utilities/src/lib/error.ts:23](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/utilities/src/lib/error.ts#L23)

##### Returns

`undefined` \| `string`

#### Inherited from

`RxapError.className`

***

### packageName

#### Get Signature

> **get** **packageName**(): `string`

Defined in: [packages/utilities/src/lib/error.ts:19](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/utilities/src/lib/error.ts#L19)

##### Returns

`string`

#### Inherited from

`RxapError.packageName`

## Methods

### ~~addSubPackageName()~~

> `protected` **addSubPackageName**(`subPackageName`): `void`

Defined in: [packages/utilities/src/lib/error.ts:64](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/utilities/src/lib/error.ts#L64)

**`Internal`**

Add's the sub package name to the current package name.

current package name -> with sub package name
@rxap/package -> @rxap/package/sub

#### Parameters

##### subPackageName

`string`

The sub package name

#### Returns

`void`

#### Deprecated

removed

#### Inherited from

`RxapError.addSubPackageName`

***

### setPackageName()

> `protected` **setPackageName**(`packageName`): `void`

Defined in: [packages/utilities/src/lib/error.ts:74](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/utilities/src/lib/error.ts#L74)

**`Internal`**

Sets the package name

#### Parameters

##### packageName

`string`

The new package name

#### Returns

`void`

#### Inherited from

`RxapError.setPackageName`

***

### ~~setSubPackageName()~~

> `protected` **setSubPackageName**(`subPackageName`): `void`

Defined in: [packages/utilities/src/lib/error.ts:49](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/utilities/src/lib/error.ts#L49)

**`Internal`**

Add's the sub package name to the current package name.

current package name -> with sub package name
@rxap/package -> @rxap/package/sub

#### Parameters

##### subPackageName

`string`

The sub package name

#### Returns

`void`

#### Deprecated

use addSubPackageName instead

#### Inherited from

`RxapError.setSubPackageName`

***

### toJSON()

> **toJSON**(): `object`

Defined in: [packages/utilities/src/lib/error.ts:27](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/utilities/src/lib/error.ts#L27)

#### Returns

`object`

#### Inherited from

`RxapError.toJSON`
